Package twisted :: Package conch :: Package ui :: Module ansi :: Class ColorText |
[frames | no frames]

## Class ColorText

Represents an element of text along with the texts colors and additional attributes.

Method Summary
| `__init__(self, text, fg, bg, display, bold, underline, flash, reverse)`

Class Variable Summary
`int` | `BLACK` = 0
`int` | `BLUE` = 4
`tuple` | `BOLD_COLORS` = `('B', 'R', 'G', 'Y', 'L', 'M', 'C', 'W')`
`tuple` | `COLOR_NAMES` = `('Black', 'Red', 'Green', 'Yellow', 'Blue'...`
`tuple` | `COLORS` = `('b', 'r', 'g', 'y', 'l', 'm', 'c', 'w')`
`int` | `CYAN` = 6
`int` | `GREEN` = 2
`int` | `MAGENTA` = 5
`int` | `RED` = 1
`int` | `WHITE` = 7
`str` | `x` = `'w'`
`int` | `YELLOW` = 3

Class Variable Details

    ### BLACK Type: `int` Value:
        0

    ### BLUE Type: `int` Value:
        4

    ### BOLD_COLORS Type: `tuple` Value:
        ('B', 'R', 'G', 'Y', 'L', 'M', 'C', 'W')

    ### COLOR_NAMES Type: `tuple` Value:
        ('Black', 'Red', 'Green', 'Yellow', 'Blue', 'Magenta', 'Cyan', 'White'\
        )

    ### COLORS Type: `tuple` Value:
        ('b', 'r', 'g', 'y', 'l', 'm', 'c', 'w')

    ### CYAN Type: `int` Value:
        6

    ### GREEN Type: `int` Value:
        2

    ### MAGENTA Type: `int` Value:
        5

    ### RED Type: `int` Value:
        1

    ### WHITE Type: `int` Value:
        7

    ### x Type: `str` Value:
        'w'

    ### YELLOW Type: `int` Value:
        3

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net